L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de FasterXML Jackson Databind : exécution de code via JNDIConnectionPool

Synthèse de la vulnérabilité 

Un attaquant peut utiliser une vulnérabilité via JNDIConnectionPool de FasterXML Jackson Databind, afin d'exécuter du code.
Produits vulnérables : Debian, openSUSE Leap, Oracle Communications, SLES.
Gravité de cette faille : 2/4.
Date de création : 28/12/2020.
Références de ce bulletin : 2999, cpuapr2021, CVE-2020-35728, DLA-2638-1, openSUSE-SU-2021:0221-1, SUSE-SU-2021:0243-1, VIGILANCE-VUL-34212.

Description de la vulnérabilité 

Un attaquant peut utiliser une vulnérabilité via JNDIConnectionPool de FasterXML Jackson Databind, afin d'exécuter du code.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette vulnérabilité cybersécurité concerne les logiciels ou systèmes comme Debian, openSUSE Leap, Oracle Communications, SLES.

Notre équipe Vigil@nce a déterminé que la gravité de cette menace sécurité est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Un attaquant avec un niveau de compétence expert peut exploiter cette annonce sécurité.

Solutions pour cette menace 

FasterXML Jackson Databind : version 2.9.10.8.
La version 2.9.10.8 est corrigée :
  https://github.com/FasterXML/jackson-databind/releases/tag/jackson-databind-2.9.10.8

FasterXML Jackson Databind : patch pour JNDIConnectionPool.
Un patch est indiqué dans les sources d'information.

Debian 9 : nouveaux paquetages jackson-databind.
De nouveaux paquetages sont disponibles :
  Debian 9 : jackson-databind 2.8.6-1+deb9u9

openSUSE Leap 15.2 : nouveaux paquetages jackson-databind.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : jackson-databind 2.10.5.1-lp152.2.3.1

Oracle Communications : CPU de avril 2021.
Un Critical Patch Update est disponible :
  https://support.oracle.com/rs?type=doc&id=2766613.1
  https://support.oracle.com/rs?type=doc&id=2765939.1
  https://support.oracle.com/rs?type=doc&id=2765941.1
  https://support.oracle.com/rs?type=doc&id=2652618.1
  https://support.oracle.com/rs?type=doc&id=2765926.1
  https://support.oracle.com/rs?type=doc&id=2766616.1
  https://support.oracle.com/rs?type=doc&id=2765925.1
  https://support.oracle.com/rs?type=doc&id=2769144.1
  https://support.oracle.com/rs?type=doc&id=2766633.1
  https://support.oracle.com/rs?type=doc&id=2766634.1
  https://support.oracle.com/rs?type=doc&id=2739349.1
  https://support.oracle.com/rs?type=doc&id=2765938.1
  https://support.oracle.com/rs?type=doc&id=2766637.1

SUSE LE 15 SP2 : nouveaux paquetages jackson-databind.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : jackson-databind 2.10.5.1-3.3.2
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une contre-mesure de vulnérabilités applicatives. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.